Package org.eclipse.lemminx.extensions.relaxng.xml.validator

## Enum RelaxNGErrorCode

- java.lang.Object
- - java.lang.Enum<RelaxNGErrorCode>
  - - org.eclipse.lemminx.extensions.relaxng.xml.validator.RelaxNGErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<RelaxNGErrorCode>`, `IXMLErrorCode`

    public enum RelaxNGErrorCode
    extends Enum<RelaxNGErrorCode>
    implements IXMLErrorCode

RelaxNG error code when XML is validated with *.rng / *.rnc schemas.

Author:
  Angelo ZERR
See Also:
  https://github.com/relaxng/jing-trang/blob/master/mod/pattern/src/main/com/thaiopensource/relaxng/pattern/resources/Messages.properties, https://github.com/relaxng/jing-trang/blob/master/mod/rng-parse/src/main/com/thaiopensource/relaxng/parse/sax/resources/Messages.properties

### Enum Constant Summary

Enum Constants
`blank_not_allowed`
`document_incomplete`
`duplicate_define`
`duplicate_start`
`element_not_allowed_yet`
`expected_pattern`
`illegal_attribute_ignored`
`illegal_name_attribute`
`incomplete_element_required_element_missing`
`incomplete_element_required_elements_missing`
`incomplete_element_required_elements_missing_expected`
`invalid_attribute_name`
`invalid_attribute_value`
`invalid_element_value`
`invalid_ncname`
`missing_children`
`missing_name_attribute`
`missing_name_class`
`missing_start_element`
`missing_type_attribute`
`no_attributes_allowed`
`out_of_context_element`
`reference_to_undefined`
`RelaxNGNotFound`
`required_attribute_missing`
`required_attributes_missing`
`required_attributes_missing_expected`
`schema_allows_nothing`
`text_not_allowed`
`to_implement`
`unexpected_element_required_element_missing`
`unexpected_element_required_elements_missing`
`unknown_element`
`unrecognized_datatype`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RelaxNGErrorCode` `get​(String name)`
`String` `getCode()` Returns the XML error code.
`static void` `registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, RelaxNGErrorCode rngCode, Object[] arguments, DOMDocument document)`
`static RelaxNGErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RelaxNGErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### unknown_element

    public static final RelaxNGErrorCode unknown_element

#### unexpected_element_required_element_missing

    public static final RelaxNGErrorCode unexpected_element_required_element_missing

#### unexpected_element_required_elements_missing

    public static final RelaxNGErrorCode unexpected_element_required_elements_missing

#### element_not_allowed_yet

    public static final RelaxNGErrorCode element_not_allowed_yet

#### out_of_context_element

    public static final RelaxNGErrorCode out_of_context_element

#### no_attributes_allowed

    public static final RelaxNGErrorCode no_attributes_allowed

#### invalid_attribute_name

    public static final RelaxNGErrorCode invalid_attribute_name

#### invalid_attribute_value

    public static final RelaxNGErrorCode invalid_attribute_value

#### required_attributes_missing_expected

    public static final RelaxNGErrorCode required_attributes_missing_expected

#### required_attribute_missing

    public static final RelaxNGErrorCode required_attribute_missing

#### required_attributes_missing

    public static final RelaxNGErrorCode required_attributes_missing

#### incomplete_element_required_elements_missing_expected

    public static final RelaxNGErrorCode incomplete_element_required_elements_missing_expected

#### incomplete_element_required_element_missing

    public static final RelaxNGErrorCode incomplete_element_required_element_missing

#### incomplete_element_required_elements_missing

    public static final RelaxNGErrorCode incomplete_element_required_elements_missing

#### text_not_allowed

    public static final RelaxNGErrorCode text_not_allowed

#### document_incomplete

    public static final RelaxNGErrorCode document_incomplete

#### invalid_element_value

    public static final RelaxNGErrorCode invalid_element_value

#### blank_not_allowed

    public static final RelaxNGErrorCode blank_not_allowed

#### schema_allows_nothing

    public static final RelaxNGErrorCode schema_allows_nothing

#### RelaxNGNotFound

    public static final RelaxNGErrorCode RelaxNGNotFound

#### missing_start_element

    public static final RelaxNGErrorCode missing_start_element

#### reference_to_undefined

    public static final RelaxNGErrorCode reference_to_undefined

#### duplicate_define

    public static final RelaxNGErrorCode duplicate_define

#### duplicate_start

    public static final RelaxNGErrorCode duplicate_start

#### unrecognized_datatype

    public static final RelaxNGErrorCode unrecognized_datatype

#### expected_pattern

    public static final RelaxNGErrorCode expected_pattern

#### illegal_attribute_ignored

    public static final RelaxNGErrorCode illegal_attribute_ignored

#### illegal_name_attribute

    public static final RelaxNGErrorCode illegal_name_attribute

#### invalid_ncname

    public static final RelaxNGErrorCode invalid_ncname

#### missing_children

    public static final RelaxNGErrorCode missing_children

#### missing_name_attribute

    public static final RelaxNGErrorCode missing_name_attribute

#### missing_name_class

    public static final RelaxNGErrorCode missing_name_class

#### missing_type_attribute

    public static final RelaxNGErrorCode missing_type_attribute

#### to_implement

    public static final RelaxNGErrorCode to_implement

### Method Detail

#### values

    public static RelaxNGErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RelaxNGErrorCode c : RelaxNGErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RelaxNGErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.

#### get

    public static RelaxNGErrorCode get​(String name)

#### toLSPRange

    public static org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                     RelaxNGErrorCode rngCode,
                                                     Object[] arguments,
                                                     DOMDocument document)

#### registerCodeActionParticipants

    public static void registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions,
                                                      SharedSettings sharedSettings)